'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.PASS = exports.NO = exports.YES = exports.standardWipeCheck = undefined;

var _common = require('../_common');

var YES = 'yes';
var NO = 'no';
var PASS = true;

var onetoone = function onetoone(a) {
    return a;
};
var pass = function pass() {
    return PASS;
};

var createPlugin = function createPlugin(plugin) {
    var result = Object.assign({
        fileNameTransformer: onetoone,
        wipeCheck: pass,
        shouldMock: pass
    }, plugin);
    return result;
};

var standardWipeCheck = function standardWipeCheck(stubs, moduleName) {
    if (_common.extensions.find(function (ext) {
        return stubs[moduleName + ext];
    }) !== undefined) {
        return YES;
    }
};

exports.standardWipeCheck = standardWipeCheck;
exports.YES = YES;
exports.NO = NO;
exports.PASS = PASS;
exports.default = createPlugin;