'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _common = require('./_common');

var _common2 = _interopRequireDefault(_common);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var trimKey = function trimKey(key) {
    return key[0] == '.' ? trimKey(key.substr(1)) : key;
};

var relativeWipeCheck = function relativeWipeCheck(stubs, moduleName) {
    if (Object.keys(stubs).find(function (key) {
        return moduleName.indexOf(trimKey(key)) >= 0;
    })) {
        return _common.YES;
    }
};

var fileNameTransformer = function fileNameTransformer(fileName /*, module*/) {
    return fileName;
};
var wipeCheck = function wipeCheck(stubs, moduleName) {
    return relativeWipeCheck(stubs, moduleName);
};

var shouldMock = function shouldMock(mock, request, parent, topModule) {
    return parent.parent === topModule ? _common.PASS : _common.NO;
};

var plugin = (0, _common2.default)({
    fileNameTransformer: fileNameTransformer,
    wipeCheck: wipeCheck,
    shouldMock: shouldMock,

    name: 'relative'
});

exports.default = plugin;