"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var withAllStubsUsed = function withAllStubsUsed(stubs) {
  var used = {};
  var proxy = new Proxy(stubs, {
    get: function get(target, name) {
      used[name] = (used[name] || 0) + 1;
      return target[name];
    }
  });

  var findUnused = function findUnused() {
    for (var i in stubs) {
      // magic of shit. One access in .load, next - usage
      if (used[i] < 2) {
        return i;
      }
    }
  };

  return {
    proxy: proxy,
    findUnused: findUnused
  };
};

exports.default = withAllStubsUsed;